Bug 4313 - Неверно работает с новой Mesa?
: Неверно работает с новой Mesa?
Status: CLOSED WONTFIX
: ALT Linux 2.4
(All bugs in ALT Linux 2.4/libGLwrapper)
: 2.4
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
: 3459
  Show dependency tree
 
Reported: 2004-06-07 21:18 by
Modified: 2008-05-29 16:48 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-06-07 21:18:53
В некоторых случаях выбирается /usr/X11R6/lib/libGL.so.1.3.501 
которой уже нет в Mesa.
------- Comment #1 From 2004-06-09 10:33:13 -------
Можно подробнее ? В каких именно случаях выбирается эта библиотека ?
------- Comment #2 From 2004-07-02 14:51:57 -------
Например вот письмо из community: 
Дисрибутив Compact 2.3 обновленый из Sysiphus, установлен  
wine-20040615-alt2.  
 
При попытке запуска сообщает  
 
Couldn't open required GL library /usr/X11R6/lib/libGL.so.1.3.501! 
err:seh:setup_exception stack overflow 24 bytes in thread 0009 eip 
10a9045e esp 
10560fe8 stack 0x10560000-0x10660000 
 
$ ls -l /usr/lib/libGL* 
lrwxrwxrwx  1 root root      12 Июл  2 10:07 /usr/X11R6/lib/libGL.so -> 
libGL.so.1.2 
lrwxrwxrwx  1 root root      21 Июн 30 22:34 /usr/X11R6/lib/libGL.so.1 
-> libGLwrapper.so.0.1.8 
-rw-r--r--  1 root root  240736 Апр 28 14:00 /usr/X11R6/lib/libGL.so.1.0 
-rw-r--r--  1 root root  453152 Май 17 19:28 /usr/X11R6/lib/libGL.so.1.2 
-rw-r--r--  1 root root 1942528 Апр 28 14:00 
/usr/X11R6/lib/libGL.so.1.4.502 
lrwxrwxrwx  1 root root      46 Июл  1 20:53 
/usr/X11R6/lib/libGL.so.nvidia -> 
/usr/X11R6/lib/nvidia_1.0.5328/libGL.so.nvidia 
 
------- Comment #3 From 2004-07-09 00:31:14 -------
Для тех, кто попал такую ситуацию: 
В качестве временного решения можно сделать, чтобы 
/usr/X11R6/lib/libGL.so.1 
ссылалась на /usr/X11R6/lib/libGL.so.nvidia 
или 
/usr/X11R6/lib/libGL.so.fglrx 
смотря какая видеокарта. 
------- Comment #4 From 2004-09-08 23:57:52 -------
Достаточно было б 
подправить патч для GLWrapper так чтобы
1.4.502 и 1.3.502 (на момент написания мессаги  свежий Mesa)
так чтобы работал остальной софт типа wine из коробки
------- Comment #5 From 2005-01-28 10:36:03 -------
Кстати, libGLwrapper в Мастере 2.4 так и не поправлен, 
и wine там по-прежнему не запускается... 
------- Comment #6 From 2005-04-10 18:03:45 -------
Виталик, а давай в backports поправим и потом в updates пропихнём?
------- Comment #7 From 2005-04-12 00:39:46 -------
Отправлено в backports Mesa-5.0.2-alt2.M24.1.src.rpm 
(если блин комом, не ругайте, проверить ещё несколько дней не смогу) 
------- Comment #8 From 2005-06-14 12:28:27 -------
не могу исправить в связи с отсутствием libGLwrapper ;-)
------- Comment #9 From 2005-06-14 14:38:24 -------
Эт хорошо, абы работало. :]
------- Comment #10 From 2005-06-14 16:35:25 -------
так работает, правда не всегда ;-)
------- Comment #11 From 2005-06-14 23:43:51 -------
перевешиваю на Master 2.4 
(с убранным libGLwrapper не работает 3D-ускорение) 
------- Comment #12 From 2005-11-16 14:59:17 -------
Только что столкнулся с этой багой на Мастере 2.4 + updates + выборочно
backports. Полечил так:

$ sudo rm -f /usr/X11R6/lib/libGL.so
$ sudo rm -f /usr/X11R6/lib/libGL.so.1
$ sudo ln -s libGL.so.1.4.502 /usr/X11R6/lib/libGL.so
$ sudo ln -s libGL.so.1.4.502 /usr/X11R6/lib/libGL.so.1

Mesa и так уже 5.0.2-alt2. 3D не проверял, т.к. видеокарта его не тянет.
------- Comment #13 From 2005-12-24 01:18:13 -------
*** Bug 8719 has been marked as a duplicate of this bug. ***
------- Comment #14 From 2008-01-08 06:12:06 -------
Закрываю за давностью лет.